#LOCAL("IsAddressForUSTemplate", #CountryID EQ "840")
var address_840 = {
        street: {
            selector: '#'+'StreetUS',
            value: '#IF(#IsAddressForUSTemplate)#Street#ENDIF'
        },
        street2: {
            selector: '#'+'Street2US',
            value: '#IF(#IsAddressForUSTemplate)#Street2#ENDIF'
        },
        zip: {
            selector: '#'+'ZipcodeUS',
            value: '#IF(#IsAddressForUSTemplate)#Zipcode#ENDIF'
        },
        city: {
            selector: '#'+'CityUS',
            value: '#IF(#IsAddressForUSTemplate)#City#ENDIF'
        },
        state: {
            selector: '#'+'StateUS',
            value: '#IF(#IsAddressForUSTemplate)#State#ENDIF'
        }
    };


#IF( (NOT #DEFINED(#Shop.Address.CountryID)) OR (#Shop.Address.CountryID != "840") OR ( (#Shop.Address.CountryID == "840") AND (#Shop.CanUseTaxUS == "1" ) ) )
#LOCAL("CountryNotChangeable", #DEFINED(#CountryID) AND #CountryID EQ "840")
countries['840'] = {
    template: '#Menu-AddressTmpl-US',
    address: address_840,
    onBeforeRender: function () {
        #IF(NOT(#CountryNotChangeable))
        $('#Menu-AddressTmpl-US-CountryNotChangeable-Warning').hide();
        #ENDIF
    },
    onAfterRender: function () {
        require(['de_epages/taxus/inc/taxus-tools'], function (taxusTools) {
            var wrapper = $('tr.cityAndState');
            // add functionality to insert a zip code and get the corresponding
            // county/country/state data for the select field via AJAX
            taxusTools.wizardAddAddress(
                $.extend(address_840, {
                    taxMatrixId: #Shop.Child.TaxMatrixUS.ID,
                    cityAndState: wrapper,
                    spanCity: wrapper.find('span.city'),
                    spanState: wrapper.find('span.state')
                })
            );
            $('#'+'CanUseTaxUS').val(1);
        });
        #IF(NOT(#CountryNotChangeable))
        $('#Menu-AddressTmpl-US-CountryNotChangeable-Warning').show();
        #ENDIF
    }
};

var countrySelect = $('#' + 'ep-#ID#SPACE[0]_CountryID');

#IF(#CountryNotChangeable)
countrySelect
    .prop('disabled', true)
    .hide(0);

countrySelect.before($('<span class="state">' + countrySelect[0].options[countrySelect[0].selectedIndex].text + '</span>'));
#ELSE
countrySelect.after($('#Menu-AddressTmpl-US-CountryNotChangeable').tmpl());
$('#Menu-AddressTmpl-US-CountryNotChangeable-Tooltip').metaparse();
#ENDIF
#ENDLOCAL
#ENDIF
#ENDLOCAL
